<?xml version="1.0" encoding="UTF-8"?>
<config xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="urn:magento:module:Magento_PageBuilder:etc/content_type.xsd">
    <type name="filoblu_scratch_win"
          label="FB Scratch and win"
          component="Magento_PageBuilder/js/content-type-collection"
          preview_component="FiloBlu_Refilo/js/content-type/filoblu-scratch-win/preview"
          master_component="Magento_PageBuilder/js/content-type/master-collection"
          form="pagebuilder_filoblu_scratch_win_form"
          menu_section="filoblu_controls"
          icon="icon-pagebuilder-row"
          translate="label">
        <children default_policy="deny">
            <child name="filoblu_scratch_win_children" policy="allow"/>
        </children>
        <appearances>
            <appearance default="true"
                        name="default"
                        preview_template="FiloBlu_Refilo/content-type/filoblu-scratch-win/default/preview"
                        master_template="FiloBlu_Refilo/content-type/filoblu-scratch-win/default/master"
                        reader="Magento_PageBuilder/js/master-format/read/configurable">
                <elements>
                    <element name="main">
                        <style name="display" source="display" converter="Magento_PageBuilder/js/converter/style/display" preview_converter="Magento_PageBuilder/js/converter/style/preview/display"/>
                        <style name="margins" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/margins" converter="Magento_PageBuilder/js/converter/style/margins"/>
                        <style name="padding" storage_key="margins_and_padding" reader="Magento_PageBuilder/js/property/paddings" converter="Magento_PageBuilder/js/converter/style/paddings"/>
                        <static_style source="min-height" value="50px"/>
                        <style name="background_color" source="background_color"/>
                        <style name="background_position" source="background_position"/>
                        <style name="background_size" source="background_size"/>
                        <style name="background_repeat" source="background_repeat"/>
                        <attribute name="data_min_height" source="data-min-height"/>
                        <attribute name="mobile_min_height" source="data-mobile-min-height"/>
                        <attribute name="background_image" source="data-background-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_image" source="data-background-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="mobile_margin" source="data-mobile-margin"/>
                        <attribute name="mobile_padding" source="data-mobile-padding"/>
                        <attribute name="name" source="data-content-type"/>
                        <attribute name="appearance" source="data-appearance"/>
                        <attribute name="custom_style" source="data-custom-style"/>
                        <attribute name="code" source="data-code"/>
                        <attribute name="size_of_eraser" source="data-eraser-size"/>
                        <attribute name="scratch_percentage" source="data-scratch-percentage"/>
                        <attribute name="banner_image" source="data-banner-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_width" source="data-banner-image-width"/>
                        <attribute name="banner_image_height" source="data-banner-image-height"/>
                        <attribute name="banner_mobile_image_width" source="data-banner-mobile-image-width"/>
                        <attribute name="banner_mobile_image_height" source="data-banner-mobile-image-height"/>
                        <attribute name="banner_mobile_image" source="data-banner-mobile-image" converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="banner_image_url" source="data-banner-image-url"/>
                        <attribute name="banner_mobile_image_url" source="data-banner-mobile-image-url"/>
                        <attribute name="title" source="data-title"/>
                        <attribute name="subtitle" source="data-subtitle"/>
                        <attribute name="title_element_type" source="data-title-element-type"/>
                        <attribute name="subtitle_element_type" source="data-subtitle-element-type"/>
                        <attribute name="title_color" source="data-title-color"/>
                        <attribute name="subtitle_color" source="data-subtitle-color"/>
                        <attribute name="mobile_title_color" source="data-mobile-title-color"/>
                        <attribute name="mobile_subtitle_color" source="data-mobile-subtitle-color"/>
                        <attribute name="banner_template" source="data-banner-template"/>
                        <attribute name="video_url" source="data-banner-video-url"/>
                        <attribute name="video_mobile_url" source="data-banner-video-mobile-url"/>
                        <attribute name="video_path" source="data-banner-video-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_mobile_path" source="data-banner-video-mobile-path"  converter="FiloBlu_Refilo/js/converter/attribute/video-src"/>
                        <attribute name="video_autoplay" source="data-banner-video-autoplay"/>
                        <attribute name="video_banner_loop" source="data-banner-video-loop"/>
                        <attribute name="video_cover_image" source="data-banner-video-cover-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_image_url" source="data-banner-video-cover-image-url"/>
                        <attribute name="video_cover_image_width" source="data-banner-video-cover-image-width"/>
                        <attribute name="video_cover_image_height" source="data-banner-video-cover-image-height"/>
                        <attribute name="video_cover_mobile_image" source="data-banner-video-cover-mobile-image"  converter="FiloBlu_Refilo/js/converter/attribute/src"/>
                        <attribute name="video_cover_mobile_image_url" source="data-banner-video-cover-mobile-image-url"/>
                        <attribute name="video_cover_mobile_image_width" source="data-banner-video-cover-mobile-image-width"/>
                        <attribute name="video_cover_mobile_image_height" source="data-banner-video-cover-mobile-image-height"/>
                        <attribute name="link_url" reader="FiloBlu_Refilo/js/property/link" persistence_mode="read"/>
                        <attribute name="virtual_link_href" storage_key="link_url" source="data-link-href" converter="FiloBlu_Refilo/js/converter/attribute/link-href" persistence_mode="write"/>
                        <attribute name="virtual_link_target" storage_key="link_url" source="data-link-target" converter="FiloBlu_Refilo/js/converter/attribute/link-target" persistence_mode="write"/>
                        <attribute name="virtual_link_type" storage_key="link_url" source="data-link-type" converter="FiloBlu_Refilo/js/converter/attribute/link-type" persistence_mode="write"/>
                        <attribute name="message" source="data-banner-content"/>
                        <attribute name="second_message" source="data-banner-content-2"/>
                        <attribute name="button_text" source="data-button-text"/>
                        <attribute name="button_type" source="data-button-type"/>
                        <attribute name="show_button" source="data-show-button"/>
                        <css name="css_classes"/>
                    </element>
                </elements>
            </appearance>
        </appearances>
    </type>
</config>
